App({
  globalData: {
    version: "1.0.0.20200203",
    //是否使用测试支付数据
    useTestPayInfo: false,
    printerId: null,
    printerName: null,
    TEST_URL: "https://cashier.test.miyahub.net/",
    RELEASE_URL: "https://cashier.miyahub.com/",
    BASE_URL: null,
    appId: "2021001107603212",
    //小程序容器版本
    containerVersionCode: null,
    localAccountInfo:null,
    //模拟器上需要sn有值
    sn:"xx"
  },

  onLaunch(options) {
    // 第一次打开
    // options.query == {number:1}
    console.info('App onLaunch');
    //初始化baseUrl
    this.globalData.BASE_URL = this.globalData.TEST_URL;
    //获取容器版本信息
    my.ix.getVersion({
      success: (r) => {
        console.log("getVersion success==>" + JSON.stringify(r));
        getApp().globalData.containerVersionCode = r.versionCode;
      }
    });
    //添加后屏小程序
    my.ix.addExtensionApp({
      appId: "2021001107617164",
      // 填入后屏小程序的 AppID
      type: "screen",
      success: (res) => {
        console.log("addExtensionApp success:", res)
      },
      fail: (res) => {
        console.log("addExtensionApp fail:", res)
      },
    })
  },
  onShow(options) {
    // 从后台被 scheme 重新打开
    // options.query == {number:1}
  },
});
