import { Page } from '../../utils/scan';
import { API_USE_COUPON } from '../../const/apiurl'
var api = require("../../utils/api.js");

Page({
  data: {
    scanDialogDisplay: 0
  },

  onLoad() {

  },

  onReady() {
    if (my.canIUse('hideBackHome')) {
      my.hideBackHome();
    }
  },

  homeTap() {

    //FIXME 这里是跳转到新的界面
    my.navigateTo({
        url: "/pages/scan/scan"
      });
  },

  //显示弹窗，>1为显示，2loading 3 result success 4 result failed

  showDialog() {
    this.setData({
      scanDialogDisplay: 1
    }
    )
    console.log(this.data.scanDialogDisplay);

  },

  //外接扫码枪事件
  onKeyPress(r) {
    console.log(" onKeyPress==>" + r);
    //核销券
    if (this.data.scanDialogDisplay == 1) {
      this.verifyCoupon(r)
      return;
    }
    my.navigateTo({
      url: "/pages/scan/scan?barcode=" + r,
    });
  },

  //核销券
  verifyCoupon(code) {
    this.setData({scanDialogDisplay:2})
    var couponRequest = api.createCommonRequest();
    couponRequest.couponCode = code;
    console.log("核销券的请求 ==>" + JSON.stringify(couponRequest));
    my.request({
      url: getApp().globalData.BASE_URL + API_USE_COUPON,
      method: 'POST',
      dataType: 'json',
      timeout: 30000,
      data: couponRequest,
      success: (res) => {
        if (res.data.success != true) {
          this.setData({scanDialogDisplay:4})
          console.log("核销券失败 ==>" + res.data.message);
        } else {
          this.setData({scanDialogDisplay:3})
          console.log("核销券成功 ==>" + JSON.stringify(res));
        }
      },
      fail: (res) => {
        this.setData({scanDialogDisplay:4})
        console.log("核销券失败 ==>" + JSON.stringify(res));
        my.showToast({
          type: 'exception',
          content: api.decodeErrorMessage(res.error),
          duration: 2000
        });
      }
    });
  },




});
